Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
RecnoDatabase..::.Compact Method (CompactConfig)
RecnoDatabase Class See Also Send Feedback

Compact the database, and optionally return unused database pages to the underlying filesystem.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public CompactData Compact(
    	CompactConfig cdata
    )

Visual Basic (Declaration)
    Public Function Compact ( _
    	cdata As CompactConfig _
    ) As CompactData

Visual C++
    public:
    CompactData^ Compact(
    	CompactConfig^ cdata
    )

#### Parameters

cdata
  Type: BerkeleyDB..::.CompactConfig
  Compact configuration parameters

#### Return Value

Compact operation statistics

# Remarks

If the operation occurs in a transactional database, the operation is implicitly transaction protected using multiple transactions. These transactions are periodically committed to avoid locking large sections of the tree. Any deadlocks encountered cause the compaction operation to be retried from the point of the last transaction commit.

# See Also

RecnoDatabase Class
Compact Overload
BerkeleyDB Namespace